Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4670)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4671)
@@ -3184,9 +2995,13 @@
 !--          Sum up ground / wall heat flux. Note, for urban surfaces the wall heat flux is
 !--          aggregated from the different green, window and wall tiles.
-             DO  m = 1, surf_usm_h%ns
-                surf_usm_h%ghf(m) = surf_usm_h%frac(m,ind_veg_wall) * surf_usm_h%wghf_eb(m) +      &
-                                    surf_usm_h%frac(m,ind_pav_green) *                             &
-                                    surf_usm_h%wghf_eb_green(m) + surf_usm_h%frac(m,ind_wat_win) * &
-                                    surf_usm_h%wghf_eb_window(m)
+             DO  l = 0, 1
+                DO  m = 1, surf_usm_h(l)%ns
+                   surf_usm_h(l)%ghf(m) = surf_usm_h(l)%frac(m,ind_veg_wall) *                    &
+                                       surf_usm_h(l)%wghf_eb(m) +                                 &
+                                       surf_usm_h(l)%frac(m,ind_pav_green) *                      &
+                                       surf_usm_h(l)%wghf_eb_green(m) +                           &
+                                       surf_usm_h(l)%frac(m,ind_wat_win) *                        &
+                                       surf_usm_h(l)%wghf_eb_window(m)
+                ENDDO
              ENDDO
              DO  l = 0, 3
@@ -3201,183 +3016,167 @@
              ENDDO
 
-             CALL surface_data_output_sum_up( surf_def_h(0)%ghf, surf_def_h(1)%ghf,                &
-                                              surf_lsm_h%ghf, surf_usm_h%ghf, surf_def_v(0)%ghf,   &
-                                              surf_lsm_v(0)%ghf, surf_usm_v(0)%ghf,                &
-                                              surf_def_v(1)%ghf, surf_lsm_v(1)%ghf,                &
-                                              surf_usm_v(1)%ghf, surf_def_v(2)%ghf,                &
-                                              surf_lsm_v(2)%ghf, surf_usm_v(2)%ghf,                &
-                                              surf_def_v(3)%ghf, surf_lsm_v(3)%ghf,                &
-                                              surf_usm_v(3)%ghf, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ghf, surf_lsm_h(0)%ghf, surf_usm_h(0)%ghf,                     &
+                     surf_def_h(1)%ghf, surf_lsm_h(1)%ghf, surf_usm_h(1)%ghf,                     &
+                     surf_def_v(0)%ghf, surf_lsm_v(0)%ghf, surf_usm_v(0)%ghf,                     &
+                     surf_def_v(1)%ghf, surf_lsm_v(1)%ghf, surf_usm_v(1)%ghf,                     &
+                     surf_def_v(2)%ghf, surf_lsm_v(2)%ghf, surf_usm_v(2)%ghf,                     &
+                     surf_def_v(3)%ghf, surf_lsm_v(3)%ghf, surf_usm_v(3)%ghf, n_out )
 
           CASE ( 'r_a' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%r_a, surf_def_h(1)%r_a,                &
-                                              surf_lsm_h%r_a, surf_usm_h%r_a,                      &
-                                              surf_def_v(0)%r_a, surf_lsm_v(0)%r_a,                &
-                                              surf_usm_v(0)%r_a, surf_def_v(1)%r_a,                &
-                                              surf_lsm_v(1)%r_a, surf_usm_v(1)%r_a,                &
-                                              surf_def_v(2)%r_a, surf_lsm_v(2)%r_a,                &
-                                              surf_usm_v(2)%r_a, surf_def_v(3)%r_a,                &
-                                              surf_lsm_v(3)%r_a, surf_usm_v(3)%r_a, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%r_a, surf_lsm_h(0)%r_a, surf_usm_h(0)%r_a,                     &
+                     surf_def_h(1)%r_a, surf_lsm_h(1)%r_a, surf_usm_h(1)%r_a,                     &
+                     surf_def_v(0)%r_a, surf_lsm_v(0)%r_a, surf_usm_v(0)%r_a,                     &
+                     surf_def_v(1)%r_a, surf_lsm_v(1)%r_a, surf_usm_v(1)%r_a,                     &
+                     surf_def_v(2)%r_a, surf_lsm_v(2)%r_a, surf_usm_v(2)%r_a,                     &
+                     surf_def_v(3)%r_a, surf_lsm_v(3)%r_a, surf_usm_v(3)%r_a, n_out )
 
           CASE ( 'r_soil' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%r_soil, surf_def_h(1)%r_soil,          &
-                                              surf_lsm_h%r_soil, surf_usm_h%r_soil,                &
-                                              surf_def_v(0)%r_soil, surf_lsm_v(0)%r_soil,          &
-                                              surf_usm_v(0)%r_soil, surf_def_v(1)%r_soil,          &
-                                              surf_lsm_v(1)%r_soil, surf_usm_v(1)%r_soil,          &
-                                              surf_def_v(2)%r_soil, surf_lsm_v(2)%r_soil,          &
-                                              surf_usm_v(2)%r_soil, surf_def_v(3)%r_soil,          &
-                                              surf_lsm_v(3)%r_soil, surf_usm_v(3)%r_soil, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%r_soil, surf_lsm_h(0)%r_soil, surf_usm_h(0)%r_soil,            &
+                     surf_def_h(1)%r_soil, surf_lsm_h(1)%r_soil, surf_usm_h(1)%r_soil,            &
+                     surf_def_v(0)%r_soil, surf_lsm_v(0)%r_soil, surf_usm_v(0)%r_soil,            &
+                     surf_def_v(1)%r_soil, surf_lsm_v(1)%r_soil, surf_usm_v(1)%r_soil,            &
+                     surf_def_v(2)%r_soil, surf_lsm_v(2)%r_soil, surf_usm_v(2)%r_soil,            &
+                     surf_def_v(3)%r_soil, surf_lsm_v(3)%r_soil, surf_usm_v(3)%r_soil, n_out )
 
           CASE ( 'r_canopy' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%r_canopy, surf_def_h(1)%r_canopy,      &
-                                              surf_lsm_h%r_canopy, surf_usm_h%r_canopy,            &
-                                              surf_def_v(0)%r_canopy, surf_lsm_v(0)%r_canopy,      &
-                                              surf_usm_v(0)%r_canopy, surf_def_v(1)%r_canopy,      &
-                                              surf_lsm_v(1)%r_canopy, surf_usm_v(1)%r_canopy,      &
-                                              surf_def_v(2)%r_canopy, surf_lsm_v(2)%r_canopy,      &
-                                              surf_usm_v(2)%r_canopy, surf_def_v(3)%r_canopy,      &
-                                              surf_lsm_v(3)%r_canopy, surf_usm_v(3)%r_canopy,      &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%r_canopy, surf_lsm_h(0)%r_canopy, surf_usm_h(0)%r_canopy,      &
+                     surf_def_h(1)%r_canopy, surf_lsm_h(1)%r_canopy, surf_usm_h(1)%r_canopy,      &
+                     surf_def_v(0)%r_canopy, surf_lsm_v(0)%r_canopy, surf_usm_v(0)%r_canopy,      &
+                     surf_def_v(1)%r_canopy, surf_lsm_v(1)%r_canopy, surf_usm_v(1)%r_canopy,      &
+                     surf_def_v(2)%r_canopy, surf_lsm_v(2)%r_canopy, surf_usm_v(2)%r_canopy,      &
+                     surf_def_v(3)%r_canopy, surf_lsm_v(3)%r_canopy, surf_usm_v(3)%r_canopy,      &
+                     n_out )
 
           CASE ( 'r_s' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%r_s, surf_def_h(1)%r_s,                &
-                                              surf_lsm_h%r_s, surf_usm_h%r_s, surf_def_v(0)%r_s,   &
-                                              surf_lsm_v(0)%r_s, surf_usm_v(0)%r_s,                &
-                                              surf_def_v(1)%r_s, surf_lsm_v(1)%r_s,                &
-                                              surf_usm_v(1)%r_s, surf_def_v(2)%r_s,                &
-                                              surf_lsm_v(2)%r_s, surf_usm_v(2)%r_s,                &
-                                              surf_def_v(3)%r_s, surf_lsm_v(3)%r_s,                &
-                                              surf_usm_v(3)%r_s, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%r_s, surf_lsm_h(0)%r_s, surf_usm_h(0)%r_s,                     &
+                     surf_def_h(1)%r_s, surf_lsm_h(1)%r_s, surf_usm_h(1)%r_s,                     &
+                     surf_def_v(0)%r_s, surf_lsm_v(0)%r_s, surf_usm_v(0)%r_s,                     &
+                     surf_def_v(1)%r_s, surf_lsm_v(1)%r_s, surf_usm_v(1)%r_s,                     &
+                     surf_def_v(2)%r_s, surf_lsm_v(2)%r_s, surf_usm_v(2)%r_s,                     &
+                     surf_def_v(3)%r_s, surf_lsm_v(3)%r_s, surf_usm_v(3)%r_s, n_out )
 
 
           CASE ( 'rad_sw_dir' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_dir, surf_def_h(1)%rad_sw_dir,  &
-                                              surf_lsm_h%rad_sw_dir, surf_usm_h%rad_sw_dir,        &
-                                              surf_def_v(0)%rad_sw_dir, surf_lsm_v(0)%rad_sw_dir,  &
-                                              surf_usm_v(0)%rad_sw_dir, surf_def_v(1)%rad_sw_dir,  &
-                                              surf_lsm_v(1)%rad_sw_dir, surf_usm_v(1)%rad_sw_dir,  &
-                                              surf_def_v(2)%rad_sw_dir, surf_lsm_v(2)%rad_sw_dir,  &
-                                              surf_usm_v(2)%rad_sw_dir, surf_def_v(3)%rad_sw_dir,  &
-                                              surf_lsm_v(3)%rad_sw_dir, surf_usm_v(3)%rad_sw_dir,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_sw_dir, surf_lsm_h(0)%rad_sw_dir, surf_usm_h(0)%rad_sw_dir,  &
+                  surf_def_h(1)%rad_sw_dir, surf_lsm_h(1)%rad_sw_dir, surf_usm_h(1)%rad_sw_dir,  &
+                  surf_def_v(0)%rad_sw_dir, surf_lsm_v(0)%rad_sw_dir, surf_usm_v(0)%rad_sw_dir,  &
+                  surf_def_v(1)%rad_sw_dir, surf_lsm_v(1)%rad_sw_dir, surf_usm_v(1)%rad_sw_dir,  &
+                  surf_def_v(2)%rad_sw_dir, surf_lsm_v(2)%rad_sw_dir, surf_usm_v(2)%rad_sw_dir,  &
+                  surf_def_v(3)%rad_sw_dir, surf_lsm_v(3)%rad_sw_dir, surf_usm_v(3)%rad_sw_dir,  &
+                  n_out )
           CASE ( 'rad_sw_dif' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_dif, surf_def_h(1)%rad_sw_dif,  &
-                                              surf_lsm_h%rad_sw_dif, surf_usm_h%rad_sw_dif,        &
-                                              surf_def_v(0)%rad_sw_dif, surf_lsm_v(0)%rad_sw_dif,  &
-                                              surf_usm_v(0)%rad_sw_dif, surf_def_v(1)%rad_sw_dif,  &
-                                              surf_lsm_v(1)%rad_sw_dif, surf_usm_v(1)%rad_sw_dif,  &
-                                              surf_def_v(2)%rad_sw_dif, surf_lsm_v(2)%rad_sw_dif,  &
-                                              surf_usm_v(2)%rad_sw_dif, surf_def_v(3)%rad_sw_dif,  &
-                                              surf_lsm_v(3)%rad_sw_dif, surf_usm_v(3)%rad_sw_dif,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_sw_dif, surf_lsm_h(0)%rad_sw_dif, surf_usm_h(0)%rad_sw_dif,  &
+                  surf_def_h(1)%rad_sw_dif, surf_lsm_h(1)%rad_sw_dif, surf_usm_h(1)%rad_sw_dif,  &
+                  surf_def_v(0)%rad_sw_dif, surf_lsm_v(0)%rad_sw_dif, surf_usm_v(0)%rad_sw_dif,  &
+                  surf_def_v(1)%rad_sw_dif, surf_lsm_v(1)%rad_sw_dif, surf_usm_v(1)%rad_sw_dif,  &
+                  surf_def_v(2)%rad_sw_dif, surf_lsm_v(2)%rad_sw_dif, surf_usm_v(2)%rad_sw_dif,  &
+                  surf_def_v(3)%rad_sw_dif, surf_lsm_v(3)%rad_sw_dif, surf_usm_v(3)%rad_sw_dif,  &
+                  n_out )
 
           CASE ( 'rad_sw_ref' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_ref, surf_def_h(1)%rad_sw_ref,  &
-                                              surf_lsm_h%rad_sw_ref, surf_usm_h%rad_sw_ref,        &
-                                              surf_def_v(0)%rad_sw_ref, surf_lsm_v(0)%rad_sw_ref,  &
-                                              surf_usm_v(0)%rad_sw_ref, surf_def_v(1)%rad_sw_ref,  &
-                                              surf_lsm_v(1)%rad_sw_ref, surf_usm_v(1)%rad_sw_ref,  &
-                                              surf_def_v(2)%rad_sw_ref, surf_lsm_v(2)%rad_sw_ref,  &
-                                              surf_usm_v(2)%rad_sw_ref, surf_def_v(3)%rad_sw_ref,  &
-                                              surf_lsm_v(3)%rad_sw_ref, surf_usm_v(3)%rad_sw_ref,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_sw_ref, surf_lsm_h(0)%rad_sw_ref, surf_usm_h(0)%rad_sw_ref,  &
+                  surf_def_h(1)%rad_sw_ref, surf_lsm_h(1)%rad_sw_ref, surf_usm_h(1)%rad_sw_ref,  &
+                  surf_def_v(0)%rad_sw_ref, surf_lsm_v(0)%rad_sw_ref, surf_usm_v(0)%rad_sw_ref,  &
+                  surf_def_v(1)%rad_sw_ref, surf_lsm_v(1)%rad_sw_ref, surf_usm_v(1)%rad_sw_ref,  &
+                  surf_def_v(2)%rad_sw_ref, surf_lsm_v(2)%rad_sw_ref, surf_usm_v(2)%rad_sw_ref,  &
+                  surf_def_v(3)%rad_sw_ref, surf_lsm_v(3)%rad_sw_ref, surf_usm_v(3)%rad_sw_ref,  &
+                  n_out )
 
           CASE ( 'rad_sw_res' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_res, surf_def_h(1)%rad_sw_res,  &
-                                              surf_lsm_h%rad_sw_res, surf_usm_h%rad_sw_res,        &
-                                              surf_def_v(0)%rad_sw_res, surf_lsm_v(0)%rad_sw_res,  &
-                                              surf_usm_v(0)%rad_sw_res, surf_def_v(1)%rad_sw_res,  &
-                                              surf_lsm_v(1)%rad_sw_res, surf_usm_v(1)%rad_sw_res,  &
-                                              surf_def_v(2)%rad_sw_res, surf_lsm_v(2)%rad_sw_res,  &
-                                              surf_usm_v(2)%rad_sw_res, surf_def_v(3)%rad_sw_res,  &
-                                              surf_lsm_v(3)%rad_sw_res, surf_usm_v(3)%rad_sw_res,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_sw_res, surf_lsm_h(0)%rad_sw_res, surf_usm_h(0)%rad_sw_res,  &
+                  surf_def_h(1)%rad_sw_res, surf_lsm_h(1)%rad_sw_res, surf_usm_h(1)%rad_sw_res,  &
+                  surf_def_v(0)%rad_sw_res, surf_lsm_v(0)%rad_sw_res, surf_usm_v(0)%rad_sw_res,  &
+                  surf_def_v(1)%rad_sw_res, surf_lsm_v(1)%rad_sw_res, surf_usm_v(1)%rad_sw_res,  &
+                  surf_def_v(2)%rad_sw_res, surf_lsm_v(2)%rad_sw_res, surf_usm_v(2)%rad_sw_res,  &
+                  surf_def_v(3)%rad_sw_res, surf_lsm_v(3)%rad_sw_res, surf_usm_v(3)%rad_sw_res,  &
+                  n_out )
 
           CASE ( 'rad_lw_dif' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_lw_dif, surf_def_h(1)%rad_lw_dif,  &
-                                              surf_lsm_h%rad_lw_dif, surf_usm_h%rad_lw_dif,        &
-                                              surf_def_v(0)%rad_lw_dif, surf_lsm_v(0)%rad_lw_dif,  &
-                                              surf_usm_v(0)%rad_lw_dif, surf_def_v(1)%rad_lw_dif,  &
-                                              surf_lsm_v(1)%rad_lw_dif, surf_usm_v(1)%rad_lw_dif,  &
-                                              surf_def_v(2)%rad_lw_dif, surf_lsm_v(2)%rad_lw_dif,  &
-                                              surf_usm_v(2)%rad_lw_dif, surf_def_v(3)%rad_lw_dif,  &
-                                              surf_lsm_v(3)%rad_lw_dif, surf_usm_v(3)%rad_lw_dif,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_lw_dif, surf_lsm_h(0)%rad_lw_dif, surf_usm_h(0)%rad_lw_dif,  &
+                  surf_def_h(1)%rad_lw_dif, surf_lsm_h(1)%rad_lw_dif, surf_usm_h(1)%rad_lw_dif,  &
+                  surf_def_v(0)%rad_lw_dif, surf_lsm_v(0)%rad_lw_dif, surf_usm_v(0)%rad_lw_dif,  &
+                  surf_def_v(1)%rad_lw_dif, surf_lsm_v(1)%rad_lw_dif, surf_usm_v(1)%rad_lw_dif,  &
+                  surf_def_v(2)%rad_lw_dif, surf_lsm_v(2)%rad_lw_dif, surf_usm_v(2)%rad_lw_dif,  &
+                  surf_def_v(3)%rad_lw_dif, surf_lsm_v(3)%rad_lw_dif, surf_usm_v(3)%rad_lw_dif,  &
+                  n_out )
 
           CASE ( 'rad_lw_ref' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_lw_ref, surf_def_h(1)%rad_lw_ref,  &
-                                              surf_lsm_h%rad_lw_ref, surf_usm_h%rad_lw_ref,        &
-                                              surf_def_v(0)%rad_lw_ref, surf_lsm_v(0)%rad_lw_ref,  &
-                                              surf_usm_v(0)%rad_lw_ref, surf_def_v(1)%rad_lw_ref,  &
-                                              surf_lsm_v(1)%rad_lw_ref, surf_usm_v(1)%rad_lw_ref,  &
-                                              surf_def_v(2)%rad_lw_ref, surf_lsm_v(2)%rad_lw_ref,  &
-                                              surf_usm_v(2)%rad_lw_ref, surf_def_v(3)%rad_lw_ref,  &
-                                              surf_lsm_v(3)%rad_lw_ref, surf_usm_v(3)%rad_lw_ref,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_lw_ref, surf_lsm_h(0)%rad_lw_ref, surf_usm_h(0)%rad_lw_ref,  &
+                  surf_def_h(1)%rad_lw_ref, surf_lsm_h(1)%rad_lw_ref, surf_usm_h(1)%rad_lw_ref,  &
+                  surf_def_v(0)%rad_lw_ref, surf_lsm_v(0)%rad_lw_ref, surf_usm_v(0)%rad_lw_ref,  &
+                  surf_def_v(1)%rad_lw_ref, surf_lsm_v(1)%rad_lw_ref, surf_usm_v(1)%rad_lw_ref,  &
+                  surf_def_v(2)%rad_lw_ref, surf_lsm_v(2)%rad_lw_ref, surf_usm_v(2)%rad_lw_ref,  &
+                  surf_def_v(3)%rad_lw_ref, surf_lsm_v(3)%rad_lw_ref, surf_usm_v(3)%rad_lw_ref,  &
+                  n_out )
 
           CASE ( 'rad_lw_res' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_lw_res, surf_def_h(1)%rad_lw_res,  &
-                                              surf_lsm_h%rad_lw_res, surf_usm_h%rad_lw_res,        &
-                                              surf_def_v(0)%rad_lw_res, surf_lsm_v(0)%rad_lw_res,  &
-                                              surf_usm_v(0)%rad_lw_res, surf_def_v(1)%rad_lw_res,  &
-                                              surf_lsm_v(1)%rad_lw_res, surf_usm_v(1)%rad_lw_res,  &
-                                              surf_def_v(2)%rad_lw_res, surf_lsm_v(2)%rad_lw_res,  &
-                                              surf_usm_v(2)%rad_lw_res, surf_def_v(3)%rad_lw_res,  &
-                                              surf_lsm_v(3)%rad_lw_res, surf_usm_v(3)%rad_lw_res,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                  surf_def_h(0)%rad_lw_res, surf_lsm_h(0)%rad_lw_res, surf_usm_h(0)%rad_lw_res,  &
+                  surf_def_h(1)%rad_lw_res, surf_lsm_h(1)%rad_lw_res, surf_usm_h(1)%rad_lw_res,  &
+                  surf_def_v(0)%rad_lw_res, surf_lsm_v(0)%rad_lw_res, surf_usm_v(0)%rad_lw_res,  &
+                  surf_def_v(1)%rad_lw_res, surf_lsm_v(1)%rad_lw_res, surf_usm_v(1)%rad_lw_res,  &
+                  surf_def_v(2)%rad_lw_res, surf_lsm_v(2)%rad_lw_res, surf_usm_v(2)%rad_lw_res,  &
+                  surf_def_v(3)%rad_lw_res, surf_lsm_v(3)%rad_lw_res, surf_usm_v(3)%rad_lw_res,  &
+                  n_out )
 
           CASE ( 'uvw1' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%uvw_abs, surf_def_h(1)%uvw_abs,        &
-                                              surf_lsm_h%uvw_abs, surf_usm_h%uvw_abs,              &
-                                              surf_def_v(0)%uvw_abs, surf_lsm_v(0)%uvw_abs,        &
-                                              surf_usm_v(0)%uvw_abs, surf_def_v(1)%uvw_abs,        &
-                                              surf_lsm_v(1)%uvw_abs, surf_usm_v(1)%uvw_abs,        &
-                                              surf_def_v(2)%uvw_abs, surf_lsm_v(2)%uvw_abs,        &
-                                              surf_usm_v(2)%uvw_abs, surf_def_v(3)%uvw_abs,        &
-                                              surf_lsm_v(3)%uvw_abs, surf_usm_v(3)%uvw_abs, n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                     surf_def_h(0)%uvw_abs, surf_lsm_h(0)%uvw_abs, surf_usm_h(0)%uvw_abs,        &
+                     surf_def_h(1)%uvw_abs, surf_lsm_h(1)%uvw_abs, surf_usm_h(1)%uvw_abs,        &
+                     surf_def_v(0)%uvw_abs, surf_lsm_v(0)%uvw_abs, surf_usm_v(0)%uvw_abs,        &
+                     surf_def_v(1)%uvw_abs, surf_lsm_v(1)%uvw_abs, surf_usm_v(1)%uvw_abs,        &
+                     surf_def_v(2)%uvw_abs, surf_lsm_v(2)%uvw_abs, surf_usm_v(2)%uvw_abs,        &
+                     surf_def_v(3)%uvw_abs, surf_lsm_v(3)%uvw_abs, surf_usm_v(3)%uvw_abs, n_out )
 
           CASE ( 'waste_heat' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%waste_heat, surf_def_h(1)%waste_heat,  &
-                                              surf_lsm_h%waste_heat, surf_usm_h%waste_heat,        &
-                                              surf_def_v(0)%waste_heat, surf_lsm_v(0)%waste_heat,  &
-                                              surf_usm_v(0)%waste_heat, surf_def_v(1)%waste_heat,  &
-                                              surf_lsm_v(1)%waste_heat, surf_usm_v(1)%waste_heat,  &
-                                              surf_def_v(2)%waste_heat, surf_lsm_v(2)%waste_heat,  &
-                                              surf_usm_v(2)%waste_heat, surf_def_v(3)%waste_heat,  &
-                                              surf_lsm_v(3)%waste_heat, surf_usm_v(3)%waste_heat,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%waste_heat, surf_lsm_h(0)%waste_heat, surf_usm_h(0)%waste_heat,&
+                     surf_def_h(1)%waste_heat, surf_lsm_h(1)%waste_heat, surf_usm_h(1)%waste_heat,&
+                     surf_def_v(0)%waste_heat, surf_lsm_v(0)%waste_heat, surf_usm_v(0)%waste_heat,&
+                     surf_def_v(1)%waste_heat, surf_lsm_v(1)%waste_heat, surf_usm_v(1)%waste_heat,&
+                     surf_def_v(2)%waste_heat, surf_lsm_v(2)%waste_heat, surf_usm_v(2)%waste_heat,&
+                     surf_def_v(3)%waste_heat, surf_lsm_v(3)%waste_heat, surf_usm_v(3)%waste_heat,&
+                     n_out )
 
           CASE ( 'im_hf' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%iwghf_eb, surf_def_h(1)%iwghf_eb,      &
-                                              surf_lsm_h%iwghf_eb, surf_usm_h%iwghf_eb,            &
-                                              surf_def_v(0)%iwghf_eb, surf_lsm_v(0)%iwghf_eb,      &
-                                              surf_usm_v(0)%iwghf_eb, surf_def_v(1)%iwghf_eb,      &
-                                              surf_lsm_v(1)%iwghf_eb, surf_usm_v(1)%iwghf_eb,      &
-                                              surf_def_v(2)%iwghf_eb, surf_lsm_v(2)%iwghf_eb,      &
-                                              surf_usm_v(2)%iwghf_eb, surf_def_v(3)%iwghf_eb,      &
-                                              surf_lsm_v(3)%iwghf_eb, surf_usm_v(3)%iwghf_eb, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%iwghf_eb, surf_lsm_h(0)%iwghf_eb, surf_usm_h(0)%iwghf_eb,      &
+                     surf_def_h(1)%iwghf_eb, surf_lsm_h(1)%iwghf_eb, surf_usm_h(1)%iwghf_eb,      &
+                     surf_def_v(0)%iwghf_eb, surf_lsm_v(0)%iwghf_eb, surf_usm_v(0)%iwghf_eb,      &
+                     surf_def_v(1)%iwghf_eb, surf_lsm_v(1)%iwghf_eb, surf_usm_v(1)%iwghf_eb,      &
+                     surf_def_v(2)%iwghf_eb, surf_lsm_v(2)%iwghf_eb, surf_usm_v(2)%iwghf_eb,      &
+                     surf_def_v(3)%iwghf_eb, surf_lsm_v(3)%iwghf_eb, surf_usm_v(3)%iwghf_eb,      &
+                     n_out )
 
           CASE ( 'albedo' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%albedo, surf_def_h(1)%albedo,          &
-                                              surf_lsm_h%albedo, surf_usm_h%albedo,                &
-                                              surf_def_v(0)%albedo, surf_lsm_v(0)%albedo,          &
-                                              surf_usm_v(0)%albedo, surf_def_v(1)%albedo,          &
-                                              surf_lsm_v(1)%albedo, surf_usm_v(1)%albedo,          &
-                                              surf_def_v(2)%albedo, surf_lsm_v(2)%albedo,          &
-                                              surf_usm_v(2)%albedo, surf_def_v(3)%albedo,          &
-                                              surf_lsm_v(3)%albedo, surf_usm_v(3)%albedo, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%albedo, surf_lsm_h(0)%albedo, surf_usm_h(0)%albedo,            &
+                     surf_def_h(1)%albedo, surf_lsm_h(1)%albedo, surf_usm_h(1)%albedo,            &
+                     surf_def_v(0)%albedo, surf_lsm_v(0)%albedo, surf_usm_v(0)%albedo,            &
+                     surf_def_v(1)%albedo, surf_lsm_v(1)%albedo, surf_usm_v(1)%albedo,            &
+                     surf_def_v(2)%albedo, surf_lsm_v(2)%albedo, surf_usm_v(2)%albedo,            &
+                     surf_def_v(3)%albedo, surf_lsm_v(3)%albedo, surf_usm_v(3)%albedo, n_out )
 
 
           CASE ( 'emissivity' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%emissivity, surf_def_h(1)%emissivity,  &
-                                              surf_lsm_h%emissivity, surf_usm_h%emissivity,        &
-                                              surf_def_v(0)%emissivity, surf_lsm_v(0)%emissivity,  &
-                                              surf_usm_v(0)%emissivity, surf_def_v(1)%emissivity,  &
-                                              surf_lsm_v(1)%emissivity, surf_usm_v(1)%emissivity,  &
-                                              surf_def_v(2)%emissivity, surf_lsm_v(2)%emissivity,  &
-                                              surf_usm_v(2)%emissivity, surf_def_v(3)%emissivity,  &
-                                              surf_lsm_v(3)%emissivity, surf_usm_v(3)%emissivity,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%emissivity, surf_lsm_h(0)%emissivity, surf_usm_h(0)%emissivity,&
+                     surf_def_h(1)%emissivity, surf_lsm_h(1)%emissivity, surf_usm_h(1)%emissivity,&
+                     surf_def_v(0)%emissivity, surf_lsm_v(0)%emissivity, surf_usm_v(0)%emissivity,&
+                     surf_def_v(1)%emissivity, surf_lsm_v(1)%emissivity, surf_usm_v(1)%emissivity,&
+                     surf_def_v(2)%emissivity, surf_lsm_v(2)%emissivity, surf_usm_v(2)%emissivity,&
+                     surf_def_v(3)%emissivity, surf_lsm_v(3)%emissivity, surf_usm_v(3)%emissivity,&
+                     n_out )
 
        END SELECT
@@ -3392,9 +3191,11 @@
 !> Sum-up the surface data for average output variables.
 !--------------------------------------------------------------------------------------------------!
- SUBROUTINE surface_data_output_sum_up_1d( var_def_h0, var_def_h1, var_lsm_h, var_usm_h,           &
-                                           var_def_v0, var_lsm_v0, var_usm_v0, var_def_v1,         &
-                                           var_lsm_v1, var_usm_v1, var_def_v2, var_lsm_v2,         &
-                                           var_usm_v2, var_def_v3, var_lsm_v3, var_usm_v3, n_out,  &
-                                           fac )
+ SUBROUTINE surface_data_output_sum_up_1d(  var_def_h0, var_lsm_h0, var_usm_h0,        &
+                                            var_def_h1, var_lsm_h1, var_usm_h1,        &
+                                            var_def_v0, var_lsm_v0, var_usm_v0,        &
+                                            var_def_v1, var_lsm_v1, var_usm_v1,        &
+                                            var_def_v2, var_lsm_v2, var_usm_v2,        &
+                                            var_def_v3, var_lsm_v3, var_usm_v3,        &
+                                            n_out, fac )
 
     IMPLICIT NONE
@@ -3409,7 +3210,9 @@
 
     REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_h0  !< output variable at upward-facing default-type surfaces
+    REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_lsm_h0  !< output variable at upward-facing natural-type surfaces
+    REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_h0  !< output variable at upward-facing urban-type surfaces
     REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_h1  !< output variable at downward-facing default-type surfaces
-    REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_lsm_h   !< output variable at upward-facing natural-type surfaces
-    REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_h   !< output variable at upward-facing urban-type surfaces
+    REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_lsm_h1  !< output variable at downward-facing natural-type surfaces
+    REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_h1  !< output variable at downward-facing urban-type surfaces
     REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_v0  !< output variable at northward-facing default-type surfaces
     REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_v1  !< output variable at southward-facing default-type surfaces
